﻿namespace XmobiTea.MiniPoolManager
{
    using UnityEngine;

    public interface IPoolItem
    {
        string PoolName { get; set; }
        void OnSpawn();
        void OnDespawn();
    }

    public class PoolItem : MonoBehaviour, IPoolItem
    {
        public string PoolName { get; set; }

        public void OnSpawn() { }
        public void OnDespawn() { }
    }
}
